﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Cloud;

namespace Memories.Models
{
    public class Memory : EverliveDataItem
    {
        private string title;
        private string details;
        private string pictureUri;
        private DateTime date;

        public Memory()
        {
            this.Date = DateTime.Now;
        }

        public string Title
        {
            get
            {
                return this.title;
            }
            set
            {
                if (this.title != value)
                {
                    this.title = value;
                    this.OnPropertyChanged("Title");
                }
            }
        }
        public string Details
        {
            get
            {
                return this.details;
            }
            set
            {
                if (this.details != value)
                {
                    this.details = value;
                    this.OnPropertyChanged("Details");
                }
            }
        }
        public string PictureUri
        {
            get
            {
                return this.pictureUri;
            }
            set
            {
                if (this.pictureUri != value)
                {
                    this.pictureUri = value;
                    this.OnPropertyChanged("PictureUri");
                }
            }
        }
        public DateTime Date
        {
            get
            {
                return this.date;
            }
            set
            {
                if (this.date != value)
                {
                    this.date = value;
                    this.OnPropertyChanged("Date");
                }
            }
        }
    }
}
